/*
 *
 * Definitions to add a CIFS user to special passwd cache file.
 *   Copyright (c) International Business Machines  Corp., 2001
 *     IBM Contact: RCHNSSPT@us.ibm.com
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

/* Return code constants */
#define CIFS_USER_ERROR_SUCCESS         0
#define CIFS_USER_ERROR_UNKNOWN         1
#define CIFS_USER_ERROR_INVALID_PARM    2
#define CIFS_USER_ERROR_FILE_OPEN       3
#define CIFS_USER_ERROR_FILE_IO         4

/* Data constants */
#define CIFS_USER_MAX_PATH_LEN      256
#define CIFS_USER_PASSWD_PATH       "/tmp/cifs/passwd"
#define CIFS_USER_CIFS_DESC_KEY     "cifsuser"
#define CIFS_USER_DESC              "Windows user (" CIFS_USER_CIFS_DESC_KEY ")" 
#define CIFS_USER_HOMEDIR_PATH      "/home/"
#define CIFS_USER_DEFAULT_SHELL     "/bin/sh"

int cifsIsLower(const char *str);
int append_user(struct passwd *userEntry);

