#!/bin/sh

if [ $# != 1 ]; then
   echo "Usage: installDom.sh device"
	echo "	eg. ./installDom.sh /dev/hde"
	exit 1
fi

DEVICE=$1

echo "# partition table of $DEVICE" > partition.out
echo "unit: sectors" >> partition.out
echo "" >> partition.out
echo ""$DEVICE"1 : start=       32, size=   30944, Id=83, bootable" >> partition.out
echo ""$DEVICE"2 : start=    30976, size=     384, Id=83" >> partition.out
echo ""$DEVICE"3 : start=        0, size=       0, Id= 0" >> partition.out
echo ""$DEVICE"4 : start=        0, size=       0, Id= 0" >> partition.out

sfdisk --force $DEVICE < partition.out

if [ ! -d /tmp/flash ]; then
   mkdir /tmp/flash
fi

mke2fs -m0 -N512 "$DEVICE"1 

mke2fs -m0 -N48 "$DEVICE"2 

mount "$DEVICE"1 /tmp/flash

mkdir /tmp/flash/configs

mount "$DEVICE"2 /tmp/flash/configs

tar -xzvf /nstation/linux/IBM/update/base/base_n70.tgz -C /tmp/flash

cp /nstation/linux/IBM/update/base/base.cramfs /tmp/flash

LILOCONF=/tmp/flash/configs/lilo.laptop
echo "boot=$DEVICE" > $LILOCONF
echo "map=/boot/map" >> $LILOCONF
echo "install=/boot/boot.b" >> $LILOCONF
echo "disk=$DEVICE" >> $LILOCONF
echo "bios=0x80" >> $LILOCONF
echo "linear" >> $LILOCONF
echo "default=linux-245" >> $LILOCONF
echo "" >> $LILOCONF
echo "image=/boot/bzImage" >> $LILOCONF
echo "        label=linux-245" >> $LILOCONF
echo "        read-only" >> $LILOCONF
echo "        root=/dev/hdc1" >> $LILOCONF
echo "        append=\" init=/init hdc=flash hdd=flash pf=4 \"" >> $LILOCONF


chmod 600 /tmp/flash/configs/lilo.laptop

# generate temporary lilo that will work on laptop being run...
/nstation/linux/sbin/lilo -r /tmp/flash -C /configs/lilo.laptop

rm -f /tmp/flash/configs/lilo.laptop

cd /

umount /tmp/flash/configs
umount /tmp/flash
sync; sync; sync


