#!/bin/sh

__cache="/nstation/profiles"
__type=${1:-unset}

if [ "$__type" != "machine" -a "$__type" != "user" ]; then
   echo "Syntax: `dirname $0` machine | user" >&2
   exit 1
fi


if [ -f /tmp/profile/machine/IBMSetupClientDataMount ]; then
   . /tmp/profile/machine/IBMSetupClientDataMount
fi

if [ "$local_cache" = "true" ]; then

   __nstation_mount=`cat /proc/mounts | grep "/nstation ext2" | cut -d' ' -f1`

   # Only cache if a "nstation" flash partition is mounted.
   if [ -n "$__nstation_mount" ]; then
      __cache_enabled="false"

      # Only allow flash cards as "cache devices"
      if [ \( "$MODEL_TYPE" = "2800" -o "$MODEL_TYPE" = "2200" \) -a "$__nstation_mount" = "/dev/hda2" ]; then
         __cache_enabled="true"
      elif [ \( "$MODEL_TYPE" = "N70" -o "$MODEL_TYPE" = "N50" -o "$MODEL_TYPE" = "BIOS" \) -a "$__nstation_mount" = "/dev/hdd2" ]; then
         __cache_enabled="true"
      fi

      # Save loaded profiles to cache.
      if [ "$__cache_enabled" = "true" ]; then

         rm -rf $__cache/$__type/*
         mkdir -p $__cache/$__type
         for __copyfrom in `find /tmp/profile/$__type -name *.ZIP`; do
            __copyto=`dirname $__copyfrom | sed s/^\\\/tmp\\\/profile\\\///`
            mkdir -p $__cache/$__copyto
            cp $__copyfrom $__cache/$__copyto/DEFAULT.ZIP
         done
      fi
   fi
fi





