#!/bin/sh

##
# Delete the temporary directory for the specified IDF created by either of the scripts:
# - create_idf_compressed_file.sh
# - create_idf_uncompressed_dir.sh
#
# @param $1 (required) base directory to find the /IBM/update/idf directory. e.g. /nstation/linux, /
# @param $2 (required) IDF path and file name relative to the base directory. e.g. /IBM/update/idf/NetVista_2x00_32M.idf
# @param $3 (optional) "-v" which turns on verbose messaging. 
##

boot_dir=$1
idf=$boot_dir/$2

if [ "$3" = "-v" ] ; then
  verbose="true"
fi

tmp_dir=/tmp/__`basename $idf`__

if [ -n "$verbose" ] ; then
  echo boot_dir=$boot_dir
  echo idf=$idf
  echo tmp_dir=$tmp_dir
  echo "rm -Rf $tmp_dir"
fi

rm -Rf $tmp_dir

