#!/bin/sh
BOOT_DIR=/nstation/linux
NEWICA=/tmp/linuxx86.tar.gz
NETSCAPE_DIR="/usr/lib/netscape-4.78-2"
ICA_INST=setupwfc
ICA_CMD=/tmp/ibm_ica/$ICA_INST

function abort_install
{
	echo -n "Abort installation y or n? [y] :"; read -r EXIT_ANS
	case $EXIT_ANS in
		[yY] | "")
			echo "ICA installation aborted."
			exit 1
		;;
		[nN])
			main_menu
		;;
		*)
			echo "Not a valid response."
			abort_install
		;;
	esac
}

function ica_script_exec
{
 	if [ -f "$ICA_INST" ]; then
 		if [ -e $ICA_INST ]; then
			echo "$ICA_INST exists and is executable."
		else
			echo -n "$ICA_INST exists but is not executable. Mark $ICA_INST executable?  y=yes n=no a=abort [y] :"; read -r REPLY1
			case $REPLY1 in
				[yY] | "")
					chmod 755 $ICA_INST
					main_menu
				;;
				[nN])
				   	echo "$ICA_INST must be executable to continue."
					get_ica_script
					
				;;
				[aA])
					abort_install
				;;
				*)
					echo "Not a valid response"
					ica_script_exec	
				;;
			esac
		fi
        else
                echo "$ICA_INST does not exist. Please change install script name."
                get_ica_script
	fi
}
function get_ica_script
{
	echo -n "ICA install script = $ICA_CMD y=yes n=no a=abort [y]? :"; read -r REPLY2
	case $REPLY2 in
		[yY] | "")
			ica_script_exec		
		;;
		[nN])
			echo "Which of the following is the filename of the Citrix ICA install script? :"
			echo ""
			ls /tmp/ibm_ica
			read ICA_INST
			ICA_CMD=/tmp/ibm_ica/$ICA_INST
			get_ica_script
		;;
		[aA])
			abort_install
		;;
		*)
			echo "Not a valid response."
			get_ica_script
		;;
	esac
}
function install_directory
{
	echo -n "NetVista Client base install directory = $BOOT_DIR y=yes n=no [y]? :"; read
	case $REPLY in
		[yY] | "")
                        if [ ! -d "$BOOT_DIR" ]; then
                                echo "$BOOT_DIR does not exist."
                                install_directory
                        fi
		;;
		[nN])
			echo -n "What is the client base install directory? :"; read BOOT_DIR
                        if [ ! -d "$BOOT_DIR" ]; then
                                echo "$BOOT_DIR does not exist."
                                install_directory
                        fi
                      

		;;
		*)
			echo "Not a valid response. Enter y or n."
			install_directory
		;;
	esac
}
function netscape_directory
{
	echo "Netscape pluggin setup"
	echo -n "NetVista Client netscape directory = $NETSCAPE_DIR  y=yes n=no s=skip pluggin installation [n]? :"; read -r REPLY3
	case $REPLY3 in
		[yY])
			if [ ! -d "$BOOT_DIR$NETSCAPE_DIR" ]; then
				echo "Error -- Full path $BOOT_DIR$NETSCAPE_DIR does not exist."
                                echo ""
                                echo -n "Change client base install directory = $BOOT_DIR y=yes n=no [n] :"
                                read -r REPLY4
                                case $REPLY4 in
                                        [yY]) install_directory
                                        ;;
                                        [nN] | "")
                                        ;;
                                esac
				netscape_directory
			else
				echo "Netscape installed in $BOOT_DIR$NETSCAPE_DIR"
			fi
		;;
		[nN] | "")
			echo -n "What is the client netscape install directory (As seen by the client)? :"; read NETSCAPE_DIR
			if [ ! -d "$BOOT_DIR$NETSCAPE_DIR" ]; then
				echo "Error -- $BOOT_DIR$NETSCAPE_DIR does not exist."
				netscape_directory
			fi
		;;
		[sS])
			echo "Skipping Netscape pluggin installation."
			NETSCAPE_DIR="NOT_INSTALLED"
		;;
		*)
			echo "Not a valid response."
			netscape_directory
		;;
	esac
}
function ica_path
{
	echo -n "Path and name of new ICA tar.gz = $NEWICA  y=yes n=no [n] :"; read -r REPLY4
	case $REPLY4 in
		[yY])
			if [ ! -f "$NEWICA" ]; then
				echo "The file $NEWICA, does not exist."
 				echo -n "Please enter the full path and name of the ICA tar.gz: "; read NEWICA
				ica_path
			fi
				
		;;
		[nN] | "")
			echo -n "What is the full path and file name of the new ICA tar.gz? :"; read NEWICA
			if [ ! -f "$NEWICA" ]; then
				echo "The file $NEWICA, does not exist."
 				echo -n "Please enter the full path and name of the ICA tar.gz: "; read NEWICA
				ica_path
			fi
		;;
		*)
			echo "Not a valid response."
			ica_path
		;;
	esac

}
function main_menu
{
        echo ""
        echo "                          Main Menu"
        echo "---------------------------------------------------------"
	echo "A. Abort installation"
	echo "B. Change NetVista Client base install directory        [$BOOT_DIR]"
	echo "C. Continue installation"
	if [ ! -d "$BOOT_DIR$NETSCAPE_DIR" ]; then
		echo "N. Change Client Netscape install directory           [$NETSCAPE_DIR]"
	fi
	echo -n "Enter selection: "; read
	case $REPLY in
		[bB])
			install_directory
			netscape_directory
                        main_menu
		;;
		[nN])
			netscape_directory
                        main_menu
		;;
		[cC])
			ICARPM=`rpm --root $BOOT_DIR -qa | grep ICA`
			if [ ! "$ICARPM" = "" ]; then
				echo "Previous RPM verson of ICA [$ICARPM] detected which will be uninstalled."
 				rpm -e --force --root $BOOT_DIR $ICARPM
			fi	
			rm -rf $BOOT_DIR/usr/lib/ICAClient* 		;;
		[aA])
			abort_install
		;;
		*)
			echo "Not a valid response"
			main_menu
		;;
        esac
}
if [ ! `whoami` = "root" ]; then
        echo "You must be root to run this script."
        exit 1
fi
install_directory
if [ -d /tmp/ibm_ica ]; then
	rm -rf /tmp/ibm_ica
fi
mkdir /tmp/ibm_ica
cd /tmp/ibm_ica
ica_path
echo "Untaring $NEWICA in /tmp/ibm_ica"
tar xvfz $NEWICA
echo ""
main_menu
	

echo "Preparing to install new ICA [$NEWICA] in base directory [$BOOT_DIR]."
echo "***************************************************************************"
echo "* You may wish to write down the following instructions before continuing *"
echo "***************************************************************************"
echo ""
echo "About to call Citrix ICA install script." 
echo ""
echo "From the install options menu, select option 1. Install Citrix ICA Client x.xx."
echo " When prompted for install directory,"
echo "Please enter $BOOT_DIR/usr/lib/ICAClient." 
echo "    (You may ignore the Not default directory warning)." 
echo "Then select option 3 to exit the Citrix install script and continue with this script."
echo -n "Press Enter to continue or Ctrl-c to Abort. "
read -r b

if [ -e $ICA_CMD ]; then
	/bin/sh -c $ICA_CMD
else
	echo "Cannot determine the ICA setup/install script name or it is not executable." 
	get_ica_script
fi
# this will break NT for now... need to figure out what to do with NT
# NT can't deal with wfica and Wfica in the same directory...
echo "Adapting ICA install for the IBM thin client."
if [ -d $BOOT_DIR/usr/lib/ICAClient ]; then
   mv $BOOT_DIR/usr/lib/ICAClient/wfica $BOOT_DIR/usr/lib/ICAClient/wfica.ibm
   mv $BOOT_DIR/usr/lib/ICAClient/wfcmgr $BOOT_DIR/usr/lib/ICAClient/wfcmgr.ibm
   mv $BOOT_DIR/usr/lib/ICAClient $BOOT_DIR/usr/lib/ICAClient.orig
   ln -sf /tmp/ICAClient $BOOT_DIR/usr/lib/ICAClient
fi

# Copy the ICA plugin to the netscape directory.
if [ -f $BOOT_DIR/usr/lib/ICAClient.orig/npica.so ]; then
   echo "Installing ICA Netscape pluggin"
   cp -f $BOOT_DIR/usr/lib/ICAClient.orig/npica.so $BOOT_DIR$NETSCAPE_DIR/plugins/npica.so
fi
echo ""
echo "******************************************************************************"
echo "* Your New ICA Client is now installed for server booted thin clients.      *"
echo "* For flash cards follow the instructions below to update the IDF and SDF    *"
echo "* files on the server.  Then reflash your flash cards.                       *"
echo "******************************************************************************"
echo ""
echo "ICA IDF-SDF Update instructions"
echo "------------------------------------------------------------------------------"
echo ""
echo "SDF UPDATE"
echo "1. Start the Setup Utility from a server booted thin client."
echo "2. Start IDF Builder (click Management->IDF Builder -- wait for it to start)."
echo "3. Start SDF Creator from IDF Builder (click Option->SDF Creator)."
echo "4. In the SDF Creator window, click File->Open, then select ICAClient_6.2.sdf"
echo "   or ICAClient_6.2-minimal.sdf and click Open."
echo "NOTE:"
echo "Since the modified ICA files should have the same file names as the"
echo "        original ICA files, in the SDF Creator window click File->Save As...,"
echo "        saving with a new SDF file name."
echo "5. After the save completes exit SDF Creator."
echo ""
echo "IDF UPDATE"
echo "1. In the IDF Builder window, click File->Open, then select your current flash"
echo "   IDF, and click Open."
echo "2. In the lower right panel select the original (old version) ICA Client SDF"
echo "   and click Remove to remove it from your IDF."
echo "3. In the left panel select your new ICA Client SDF file you just created and"
echo "   click Add to add it your new IDF."
echo "4. In the IDF Builder window, click File->Save As..., saving with a new IDF"
echo "   file name."
echo "5. After the save completes exit IDF Builder."
echo ""
echo ""
echo "Update Flash Card (New ICA)"
echo "-------------------------------------------------------------------------------"
echo "Perform a flash recovery or flash software update using your new IDF,"
echo "from Setup Utility or TCM Operations Utilities."
echo " "
echo "Example: From a flash booted thin client "
echo "1. Start the Setup Utility"
echo "2. Click Managment->Flash Software Update (Use the new IDF and SDF)"
echo ""
echo "Verify the new ICA client from an updated flash card"
echo ""

