#!/bin/sh
BOOT_DIR=/
ICA_DIR=/usr/lib/ICAClient.orig
ICA_DIR1=/ICAClient.orig

function abort_install
{
	echo -n "Abort installation y or n? [y] :"; read -r EXIT_ANS
	case $EXIT_ANS in
		[yY] | "")
			echo "ICA installation aborted."
			exit 1
		;;
		[nN])
			main_menu
		;;
		*)
			echo "Not a valid response."
			abort_install
		;;
	esac
}

function copy_directory
{

	echo " "
	echo "To be able to restore the current ICA client, a copy of the directory needs to be made."
        echo "This extra directory will take up disk space and will most likely never be used."
        echo " "
	echo -n "Do you want to create a copy of the /usr/lib/ICAClient.orig directory.  y or n? [n] :"; read -r ANSWER
	case $ANSWER in
		[yY])
			echo " "
				if [ -d "$ICA_DIR" ]; then
					echo " Creating directory ICAClient.orig in Client's (/) directory "
						if [ -d "$ICA_DIR1" ]; then
							rm -rf /ICAClient.orig
						fi
					mkdir /ICAClient.orig
					echo " ICAClient.orig directory created in (/) "
					echo " Copying files from /usr/lib/ICAClient.orig to /ICAClient.orig "
					echo " please wait..... "
					cp -a /usr/lib/ICAClient.orig/* /ICAClient.orig
					echo " Files are copied	"
					remove_directory

				else
					echo " Directory /usr/lib/ICAClient.orig does not exist "
                                        echo " exiting the script .... "
                                        echo ""
                                        exit 1

				fi
		;;
		[nN] | "")
			
			 echo " "
                                if [ -d "$ICA_DIR" ]; then
					remove_directory
				else
                                        echo " Directory /usr/lib/ICAClient.orig does not exist "
                                        echo " exiting the script .... "
                                        echo ""
                                        exit 1
				fi
		
		;;
		*)
		
			echo "Not a valid response."
			copy_directory
		;;
	esac
}

function remove_directory
{

	
	echo " "
	echo " Directory /usr/lib/ICAClient.orig will be removed now, "
	echo " This will complete the first script. "
	echo " Please reboot the Network Station and run the second script, "
	echo " to complete the ICA Client Update."

	rm -Rf /usr/lib/ICAClient.orig
	
	echo "" 
 	echo " /usr/lib/ICAClient.orig is removed now. "
        echo ""
	echo " exiting the first script, Please REBOOT the Network Station NOW.... "
        echo " and run the second icainstall2.sh script to complete the Update. "
        echo " Failing to do so, Update will not take place correctly. "
	echo ""
	exit 1
}

function main_menu
{
        echo ""
        echo "                          Main Menu"
        echo "---------------------------------------------------------"
	echo "A. Abort installation"
	echo "C. Continue installation"
        echo ""
	echo -n "Enter selection: "; read
	case $REPLY in

		[cC])
			copy_directory
		;;

		[aA])
			abort_install
		;;
		*)
			echo "Not a valid response"
			main_menu
		;;
        esac
}
if [ ! `whoami` = "root" ]; then
        echo "You must be root to run this script."
        exit 1
fi
echo " "
echo " Please carefully read the instructions"
echo " "
echo " This is the first of two scripts required to update the Network Station ICA client"
echo " from a Network Station Thin Client. "
echo " "
echo " "
echo " Running the icainstall1.sh script will remove the directory /usr/lib/ICAClient.orig. "
echo " Once the directory is removed, ICA will not run. "
echo " "
echo " After running the first script, please REBOOT the Network Station Thin Client and then, "
echo " run the second script, icainstall2.sh. If icainstall2.sh is not run after the reboot, "
echo " ICA will not run correctly."
echo " "
main_menu
