# requirment is to have this script run on an x86 NetVista Thin Client that is server booted
#   This script should be run if you have a non-x86 boot server or if your x86 boot server did not
#   the strip command in your path at installation time. 

if [ "$1" = "-help" ]; then
   echo "post-install-strip.sh:"
   echo ""
   echo "WHEN TO RUN THIS SCRIPT;"
   echo "Only run this script if the thin client image this thin client is booted from is located on a non x86 computer."
   echo "Or run this script if during install of the image you saw a message that started with;"
   echo "'This is a non x86 platform, therefore binaries can not be stripped. ...'"
   echo ""
   echo "WHY RUN THIS SCRIPT;"
   echo "Stripping the Linux binaries reduces their size. This is required for flash card images to be a specified size."
   echo "x86 binaries can not be stripped on non x86 computers, therefore were not stripped at install."
   echo ""
   echo "HOW TO RUN THIS SCRIPT"
   echo "From the IBM NetVista Setup Utility on this thin client click on 'Management' then 'Launch Xterm'."
   echo "At the xterm prompt, if you are not root, type 'su' and then enter the root password."
   echo "Then, as root run '/IBM/bin/post-install-strip.sh' and press enter. This script will take"
   echo "some time to run. Only run this script once for one installed image."
   echo "The script will ask you to reboot your thin client to perform the strip and updates."
   exit
else
   mem_dmesg=`dmesg | grep Memory | awk -F/ '{print $2}' | awk -Fk '{print $1}'`
   mem_size=`expr $mem_dmesg / 1024 + 1`

   if [ $mem_size -lt "90" ]; then
     echo "Run post-install-strip.sh on a Network Station with atleast 96 MB of memory."
     echo "This station has $mem_size MB of memory.  Program exiting."
     exit
   fi

   OLDPATH=$PATH
   OLDLDPATH=$LD_LIBRARY_PATH

   export PATH=$PATH:/usr/sbin:/IBM/bin
   export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH

   ARCH=`uname -m | sed 's/i.86/ix86'/` 
   echo "ARCH == $ARCH "
   if [ "$ARCH" = "ix86" ]; then
      echo "Stripping binaries. This will take awhile."
      find / -type f | xargs file | grep "not stripped" | grep Intel | grep -v "\.o:" | awk '{print $1}' | sed -n 's/://p' | xargs strip
        echo "Done stripping binaries."
        /opt/IBMJava2-13/jre/bin/java -cp /IBM/update/LCMT.jar UpdateIDF /IBM/update/idf /IBM/update/sdf
   else
         echo "post-install-strip.sh MUST BE EXECUTED ON HARDWARE WITH A X86 ARCHITECTURE"  
         exit
   fi
   export PATH=$OLDPATH
   export LD_LIBRARY_PATH=$OLDLDPATH
fi

