#!/bin/sh
###########!/bin/ash.static
#
# softwareUpdate.sh performs a software update when booted from flash.
#
# It checks the ForceFlashUpdate(43) and the IDFSoftwareUpdate(78) id's in
# nvram.  If they are set a software update is performed.

/IBM/bin/readNvram 43
/IBM/bin/readNvram 78

flashRecovery=`/bin/cat /tmp/snmp/43`
softwareUpdate=`/bin/cat /tmp/snmp/78`

cp /IBM/bin/lcmaStart /tmp

if [ "$flashRecovery" = "1" ]; then
        /IBM/bin/writeNvram 78 0
        /IBM/bin/writeNvram 43 0

        /IBM/FlashRecovery/cf_InstallFlashImage.sh --flashrecovery --noprompt

	if [ $? -eq 100 ]; then
		/IBM/bin/writeNvram 43 1
	fi
fi

if [ "$softwareUpdate" = "1" ]; then
        /IBM/bin/writeNvram 78 0
        /IBM/bin/writeNvram 43 0

        # remount the flash card r/w so we can write to it
        if [ "$MODEL_TYPE" = "2200" -o "$MODEL_TYPE" = "2800" ]; then
                /bin/mount -n -o remount,rw / /
        else
                /bin/mount -n -o remount,rw /mnt/serverhost /mnt/serverhost
        fi


        # create a ram disk to store any utils we will be using...
        # .... cp, lcma
        /sbin/mke2fs -q -m0 /dev/ram1 2048
        if [ ! -d /tmp/update ]; then
                mkdir /tmp/update
        fi
        /bin/mount -n /dev/ram1 /tmp/update
        cp /IBM/bin/lcma /tmp/update
        cp /bin/cp /tmp/update
	cp /IBM/bin/baseOSUpdate.sh /tmp/update	

        # copy libs in /usr/lib that are used by mkcramfs and snmpd  
        cp -a /usr/lib/libz.so.* /tmp/update
	cp -a /usr/lib/libdb.so.* /tmp/update

        export PATH=/tmp/update:$PATH
        export LD_LIBRARY_PATH=/tmp/update:$LD_LIBRARY_PATH

	cp -a /IBM/FlashRecovery/cf_InstallFlashImage.sh /tmp

        /tmp/cf_InstallFlashImage.sh --softwareupdate --noprompt

	if [ $? -eq 100 ]; then
		/IBM/bin/writeNvram 78 1
	fi
fi





