#!/bin/sh

# This script is used by Setup Utility to write
# the autoupdate file for Flash Recovery and Software Update.
# The autoupdate file is written to the configs directory
# on the appropriate device.

# Check for valid arguments.
if [ -z "$1" ]; then
   echo "No auto update file specified." >&2
   exit 1
fi

# Copy to the autoupdate file
if [ "$MODEL_TYPE" = "2800" -o "$MODEL_TYPE" = "2200" ]; then
        # 2x00
        if [ "$BOOTSOURCE" != "flash" ]; then
                # Server booted - must be doing flash recovery.
                # Partition, format, and mount the flash card
                /IBM/FlashRecovery/cf_flashinit.sh
                # Write autoupdate to the mounted flash card
                cp -f $1 /mnt/hd2/configs/autoupdate
        else
                # Flash booted, just copy to flash card
                cp -f $1 /configs/autoupdate
        fi
else
        # N70, N50, or BIOS.
        # Write to the configs dir on the DOM.
        cp -f $1 /configs/autoupdate
fi

sync ; sync ; sync

