#!/bin/sh

##############################################
echo -e "\t--creating base directories"
##############################################
mkdir -p tmp/DOM/etc/bootstrap.d
mkdir tmp/DOM/base
mkdir tmp/DOM/base/sbin
mkdir tmp/DOM/base/bin
mkdir tmp/DOM/dev
mkdir -p tmp/DOM/image/base
mkdir -p tmp/DOM/nstation/linux
mkdir -p tmp/DOM/nstation/profiles
mkdir -p tmp/DOM/nstation/machines
mkdir -p tmp/DOM/nstation/home
mkdir -p tmp/DOM/localhome

##############################################
echo -e "\t--creating root shell for init process"
##############################################
cp ${BOOT_DIR}/bin/ash.static tmp/DOM/base/bin/bash
ln -sf bash tmp/DOM/base/bin/sh

##################################
echo -e "\t--copying static modules"
##################################
cp ${BOOT_DIR}/IBM/Custom/n70/bin/mount tmp/DOM/base/bin
cp ${BOOT_DIR}/IBM/Custom/n70/mknod tmp/DOM/base/bin
cp ${BOOT_DIR}/IBM/Custom/n70/sbin/init tmp/DOM/base/sbin

#############################################
echo -e "\t--copying kernel modules"
#############################################
cp -a ${BOOT_DIR}/kernel.2x00 tmp/DOM
# Note: symlinks for kernel.2200 and kernel.2800 are
# created by /IBM/bin/baseOSUpdate.sh during flash recovery.

############################################
#echo -e "\t--copying necessary pieces of /etc"
############################################
#cp -f ${BOOT_DIR}/etc/inittab tmp/DOM/etc
#cp -f ${BOOT_DIR}/etc/bootstrap.d/rc.sysinit.IBM_NS.2x00 tmp/DOM/etc/bootstrap.d

##############################
echo -e "\t--creating sym links"
##############################
ln -sf /base/bin tmp/DOM/bin 2>/dev/null
ln -sf /base/sbin tmp/DOM/sbin 2>/dev/null
ln -sf /base/lib tmp/DOM/lib 2>/dev/null

##############################
echo -e "\t--creating crc files"
##############################

cd tmp/DOM

# First, create crc file for the files not in cramfs
crc_list=`find . -type f | xargs -i cksum {} | cut -d" " -f1`
crc_total=`echo $crc_list | cksum | cut -d" " -f1`
echo "CRC=$crc_total" > image/base/crc
echo "SERVER_CRC=$crc_total" > ${BOOT_DIR}/IBM/update/base/crc.2x00
# Second, copy sdf for cramfs files (contains crc)
cp ${BOOT_DIR}/IBM/update/sdf/NetVista_BaseOS.sdf image/base

##############################
echo -e "\t--creating base_2x00.tgz"
##############################
tar -czf base_2x00.tgz *
mv base_2x00.tgz ${BOOT_DIR}/IBM/update/base/base_2x00.tgz



