#!/bin/sh

# 01/03/2002 - added /dev/null and /var/run/mtab for verbose enablement.

##############################################
echo -e "\t--creating base directories"
##############################################
mkdir tmp/DOM/boot
mkdir tmp/DOM/etc
mkdir tmp/DOM/etc/bootstrap.d
mkdir tmp/DOM/etc/keymaps
mkdir tmp/DOM/etc/keymaps/include
mkdir tmp/DOM/etc/terminfo
mkdir tmp/DOM/etc/terminfo/l
mkdir tmp/DOM/dev
mkdir tmp/DOM/dev/pts
mkdir tmp/DOM/local
mkdir tmp/DOM/localhome
mkdir tmp/DOM/mnt
mkdir tmp/DOM/mnt/serverhost
mkdir tmp/DOM/nstation
mkdir tmp/DOM/proc
mkdir tmp/DOM/usr
mkdir tmp/DOM/tmp
mkdir tmp/DOM/base

ln -sf /tmp/var tmp/DOM/var

# 
mkdir -p tmp/DOM/var/run
touch tmp/DOM/var/run/mtab
#

##############################################
echo -e "\t--creating root shell for init process"
##############################################
cp ${BOOT_DIR}/bin/ash.static tmp/DOM/bash
cp ${BOOT_DIR}/bin/ash.static /bash
ln -sf /bash tmp/DOM/sh

##################################
echo -e "\t--copying static modules"
##################################
cp ${BOOT_DIR}/IBM/Custom/n70/bin/loadkeys tmp/DOM
cp ${BOOT_DIR}/IBM/Custom/n70/bin/mount tmp/DOM
cp ${BOOT_DIR}/IBM/Custom/n70/sbin/init tmp/DOM
cp ${BOOT_DIR}/IBM/Custom/n70/bin/bootconfig tmp/DOM/local

#############################################
echo -e "\t--copying kernel modules"
#############################################
cp -d ${BOOT_DIR}/boot/* tmp/DOM/boot

############################################
echo -e "\t--copying necessary pieces of /etc"
############################################
cp ${BOOT_DIR}/etc/bootstrap.d/* tmp/DOM/etc/bootstrap.d
cp -d ${BOOT_DIR}/etc/mtab tmp/DOM/etc
cp ${BOOT_DIR}/IBM/Custom/n70/etc/fstab tmp/DOM/etc
cp ${BOOT_DIR}/IBM/Custom/n70/etc/terminfo/l/linux tmp/DOM/etc/terminfo/l
cp ${BOOT_DIR}/IBM/Custom/n70/etc/keymaps/* tmp/DOM/etc/keymaps
cp ${BOOT_DIR}/IBM/Custom/n70/etc/keymaps/include/* tmp/DOM/etc/keymaps
cp -f ${BOOT_DIR}/IBM/Custom/n70/etc/inittab tmp/DOM/etc
cp ${BOOT_DIR}/IBM/Custom/n70/etc/lilo.conf tmp/DOM/configs
cp ${BOOT_DIR}/IBM/Custom/n70/etc/dhclient.conf tmp/DOM/etc
ln -sf /configs/lilo.conf tmp/DOM/etc/lilo.conf
ln -sf /tmp/resolv.conf tmp/DOM/etc/resolv.conf
cp ${BOOT_DIR}/etc/passwd tmp/DOM/etc/passwd
cp ${BOOT_DIR}/etc/group tmp/DOM/etc/group
cp ${BOOT_DIR}/etc/shadow tmp/DOM/etc/shadow
##############################################
echo -e "\t--settings up configs and local"
##############################################
cp ${BOOT_DIR}/IBM/Custom/n70/bin/getVPDinfo.sh tmp/DOM/local
cp ${BOOT_DIR}/IBM/Custom/n70/bin/nvram.list tmp/DOM/configs
cp ${BOOT_DIR}/IBM/bin/readNvram tmp/DOM/local
cp ${BOOT_DIR}/IBM/bin/writeNvram tmp/DOM/local
cp ${BOOT_DIR}/IBM/Custom/n70/bin/nvram_rw tmp/DOM/local/nvram_rw
cp ${BOOT_DIR}/IBM/version tmp/DOM/local
cp ${BOOT_DIR}/IBM/serviceupdate tmp/DOM/local
cp ${BOOT_DIR}/IBM/linuxDistribution tmp/DOM/local
cp ${BOOT_DIR}/IBM/bin/bootconfig_reset.sh tmp/DOM/local
cp ${BOOT_DIR}/etc/rc.d/init.d/wlan tmp/DOM/local
cp ${BOOT_DIR}/etc/wlan.conf tmp/DOM/configs
ln -sf /configs/wlan.conf tmp/DOM/etc/wlan.conf 

##########################################
echo -e "\t--creating devs"
##########################################
mknod tmp/DOM/local/localramdisk b 1 8
mknod tmp/DOM/local/scratchmnt b 1 9
mknod tmp/DOM/dev/console c 5 1
mknod tmp/DOM/dev/hda b 3 0
mknod tmp/DOM/dev/hdc b 22 0
mknod tmp/DOM/dev/hdc1 b 22 1
mknod tmp/DOM/dev/hdc2 b 22 2
mknod tmp/DOM/dev/hdc3 b 22 3
mknod tmp/DOM/dev/hde  b 33 0
mknod tmp/DOM/dev/hde1 b 33 1
mknod tmp/DOM/dev/hde2 b 33 2
mknod tmp/DOM/dev/hde3 b 33 3
mknod tmp/DOM/dev/hdg  b 34 0
mknod tmp/DOM/dev/hdg1 b 34 1
mknod tmp/DOM/dev/hdg2 b 34 2
mknod tmp/DOM/dev/hdg3 b 34 3
mknod tmp/DOM/dev/hdd b 22 64
mknod tmp/DOM/dev/hdd1 b 22 65
mknod tmp/DOM/dev/hdd2 b 22 66
mknod tmp/DOM/dev/kmem c 1 2
mknod tmp/DOM/dev/loop0 b 7 0
mknod tmp/DOM/dev/loop1 b 7 1
mknod tmp/DOM/dev/loop2 b 7 2
mknod tmp/DOM/dev/loop3 b 7 3
mknod tmp/DOM/dev/loop4 b 7 4
mknod tmp/DOM/dev/loop5 b 7 5
mknod tmp/DOM/dev/loop6 b 7 6
mknod tmp/DOM/dev/loop7 b 7 7
mknod tmp/DOM/dev/loop8 b 7 8
mknod tmp/DOM/dev/loop9 b 7 9
mknod tmp/DOM/dev/loop10 b 7 10
mknod tmp/DOM/dev/loop11 b 7 11
mknod tmp/DOM/dev/loop12 b 7 12
mknod tmp/DOM/dev/loop13 b 7 13
mknod tmp/DOM/dev/loop14 b 7 14
mknod tmp/DOM/dev/loop15 b 7 15
mknod tmp/DOM/dev/loop16 b 7 16
mknod tmp/DOM/dev/loop17 b 7 17
mknod tmp/DOM/dev/loop18 b 7 18
mknod tmp/DOM/dev/loop19 b 7 19
mknod tmp/DOM/dev/loop20 b 7 20
mknod tmp/DOM/dev/mem c 1 1
mknod tmp/DOM/dev/null c 1 3
mknod tmp/DOM/dev/pts/0 c 136 0
mknod tmp/DOM/dev/pts/1 c 136 1
mknod tmp/DOM/dev/ram0 b 1 0
mknod tmp/DOM/dev/ram1 b 1 1
mknod tmp/DOM/dev/ram2 b 1 2
mknod tmp/DOM/dev/ram3 b 1 3
mknod tmp/DOM/dev/ram4 b 1 4
mknod tmp/DOM/dev/ram5 b 1 5
ln -sf /dev/ram1 tmp/DOM/dev/ram
mknod tmp/DOM/dev/tty0 c 4 0
mknod tmp/DOM/dev/tty1 c 4 1
mknod tmp/DOM/dev/tty c 5 0
mknod tmp/DOM/dev/ttyp0 c 3 0
mknod tmp/DOM/dev/ptup0 c 2 0
mknod tmp/DOM/dev/ptyp1 c 2 1
mknod tmp/DOM/dev/null c 1 3

##############################
echo -e "\t--creating sym links"
##############################
ln -sf /mnt/serverhost/IBM tmp/DOM/IBM 2>/dev/null
ln -sf /mnt/serverhost/opt tmp/DOM/opt 2>/dev/null
ln -sf /base/bin tmp/DOM/bin 2>/dev/null
ln -sf /base/sbin tmp/DOM/sbin 2>/dev/null
ln -sf /base/lib tmp/DOM/lib 2>/dev/null
ln -sf /tmp/mnt/home tmp/DOM/home
ln -sf /mnt/serverhost/usr/bin tmp/DOM/usr/bin
ln -sf /mnt/serverhost/usr/lib tmp/DOM/usr/lib
ln -sf /mnt/serverhost/usr/sbin tmp/DOM/usr/sbin
ln -sf /mnt/serverhost/usr/X11R6 tmp/DOM/usr/X11R6
ln -sf /mnt/serverhost/usr/local tmp/DOM/usr/local
ln -sf /mnt/serverhost/usr/share tmp/DOM/usr/share
ln -sf /mnt/serverhost/usr/include tmp/DOM/usr/include
cd tmp/DOM

chmod 4775 local/nvram_rw

##############################
echo -e "\t--creating crc files"
##############################

# First, create crc file for the files not in cramfs
crc_list=`find . -type f | xargs -i cksum {} | cut -d" " -f1`
crc_total=`echo $crc_list | cksum | cut -d" " -f1`
echo "CRC=$crc_total" > local/crc
echo "SERVER_CRC=$crc_total" > ${BOOT_DIR}/IBM/update/base/crc.n70
# Second, copy sdf for cramfs files (contains crc)
cp ${BOOT_DIR}/IBM/update/sdf/NetVista_BaseOS.sdf local

##############################
echo -e "\t--creating base_n70.tgz"
##############################
tar -czf base_n70.tgz *
mv base_n70.tgz ${BOOT_DIR}/IBM/update/base/base_n70.tgz



